signature PHASE_SPLIT =
  sig
     exception Split of string
     exception Error of string

     val split_module :  IL1.module -> IL2.module
     val split_sbnds :  IL1.sbnd list
                    -> IL2.con * (IL2.expvar * IL2.exp) list
     val split_exp : IL1.exp -> IL2.exp
     val split_con : IL1.con -> IL2.con
     val split_kind : IL1.kind -> IL2.kind
     val split_signat : IL1.signat -> IL2.signat
     val split_sdecs : IL1.sdec list
                    -> IL2.convar * IL2.kind * IL2.con list
  end
